// global styles
@import './variables';

@import '~bootstrap/scss/bootstrap';
@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;500;600&family=Raleway:ital,wght@0,400;0,700;0,900;1,400&display=swap');

body {
  font-family: $font-family-raleway;
}

h1 {
  color: map-get($theme-colors, 'primary');
  font-weight: bold;
  font-size: 2.25rem;
  margin: 0;
}
@media (max-width: 991px) {
  h1 {
    font-size: 2.1rem;
  }
}
@media (max-width: 480px) {
  h1 {
    font-size: 1.5rem;
  }
}

span.subheading {
  font-size: 0.8125rem;

  a {
    text-decoration: underline;
  }
}

h2 {
  font-weight: bold;
  line-height: 46px;
  font-size: 1.5rem;
}
@media (max-width: 991px) {
  h2 {
    font-size: 1.55rem;
  }
}
@media (max-width: 480px) {
  h2 {
    font-size: 1.25rem;
  }
}

h3 {
  font-weight: bold;
  font-size: 1.125rem;
  color: black;
  margin-top: 0.5rem;
}
@media (max-width: 991px) {
  h3 {
    font-size: 1.15rem;
  }
}
@media (max-width: 480px) {
  h3 {
    font-size: 1rem;
  }
}

h4 {
  font-size: 1.1rem;
  font-weight: bold;
}
@media (max-width: 991px) {
  h4 {
    font-size: 1.1rem;
  }
}
@media (max-width: 480px) {
  h4 {
    font-size: 1.1rem;
  }
}

.btn {
  padding: 0.375rem 1.25rem;

  &.pill {
    border-radius: 20px;
  }
}

.btn-small {
  font-size: 0.875rem;
}

.text-primary-green {
  color: map-get($theme-colors, 'primary-green');
}
